Description

Hi,

I'm currently in the process of migrating from trac to redmine, and I'm missing some very useful features that exists in trac repo

viewer:

view diff in change log, i.e. when clicking on a changed log, it should be possible to view the diff on the same screen (instead of

clicking again, and back to change log).

missing link from activity log directly to latest version ( one can only see the diff log, in order to see the file you have to go to the

repo path and click view inside the file).

be able to toggle and ignore: Blank lines, Case changes, White space changes

"remember" use preference for side by side or inline diff.

be able to click "next" change set from the diff screen (best if diff could be merged with revision page (i.e. after cliocking activity

--> revision # --> show log + diff at the same page)

view files that have changed in the activity log

Thanks a lot for a great product.

Related issues:

Related to Redmine - Feature #14332: [Repository] Make "view file" the default Closed

Related to Redmine - Feature #2372: Ideas for the Revisions page New 2008-12-22

History

#1 - 2008-06-11 10:27 - Paul Rivier

Hi Ohad,

I don't want "view diff in change log" by default, because diffing is an intensive process that I don't want to trigger unless required.

For "missing link from activity log", there are some patches around for that. I also think they could be applied safely, although there maybe are

good reason not to do so.

#2 - 2008-10-17 11:45 - ohad levy

Is there a way to do a whole directoy diff?, it would be great to view changes between branches.

#3 - 2013-03-18 21:27 - Dipan Mehta

This works now as explained!

#4 - 2013-03-22 04:12 - Toshi MARUYAMA

- Category changed from UI to SCM

#5 - 2013-06-25 09:09 - Toshi MARUYAMA

- Subject changed from improve reposetory viewer to improve repository viewer

#6 - 2013-06-25 09:15 - Toshi MARUYAMA

- Related to Feature #14332: [Repository] Make "view file" the default added

#7 - 2013-06-25 09:17 - Toshi MARUYAMA

- Related to Feature #2372: Ideas for the Revisions page  added

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

